HOSTNAME(1)

NOM
hostname - affiche ou définit le nom d'hôte du système
dnsdomainname - affiche le nom de domaine du système

SYNOPSIS
hostname [-d] [--domain] [-F nom_de_fichier] [--file nom_de_fichier] [-f] [--fqdn] [-h] [--help] [--long] [-s] [--short] [-v] [--version] [nom]
dnsdomainname

DESCRIPTION
Hostname est le programme utilisé soit pour définir le nom d'hôte, soit pour visualiser le nom d'hôte ou de domaine du système. Ce nom est utilisé par différents programmes réseaux pour identifier la machine.

Appelé sans argument, le programme affiche le nom courant, tel que définit à l'aide de la commande hostname. Vous pouvez changer le format de sortie pour afficher soit la forme courte, soit la forme longue du nom d'hôte (FQDN). Appelé avec un argument, le programme définit la valeur du nom d'hôte à la valeur fournie. C'est généralement fait une seule fois, au démarrage du système, par le script de configuration /etc/rc.d/rc.inet1.

Notez que seul le super-utilisateur peut changer le nom d'hôte.

Si c'est le programme dnsdomainname qui est appelé, il affichera le nom de domaine DNS. Vous ne pouvez pas changer le nom de domaine DNS avec dnsdomainname (voir après).

OPTIONS

-a, --alias
    Display the alias name of the host (if used).

-d, --domain
    Affiche le nom de domaine DNS. N'utilisez pas la commande domainname pour récupérer le nom de domaine DNS parce qu'elle affichera en fait le nom de domaine NIS et non pas le non DNS.

-F, --file nom_de_fichier
    Lit le nom d'hôte dans le fichier spécifié. Les commentaires (lignes commençant avec un `#') sont ignorés.

-f, --fqdn, --long
    Affiche le nom complet FQDN (Fully Qualified Domain Name). Un FQDN consite en un nom d'hôte court et un nom de domaine DNS. Sauf si vous utilisez "bind" ou NIS pour la recherche des hôtes vous pouvez changer le FQDN et le nom de domaine DNS (qui fait partie du FQDN) dans le fichier /etc/hosts.

-h, --help
    Affiche un message d'utilisation sur la sortie standard et termine.

-i, --ip-address
    Display the IP address(es) of the host.

-s, --short
    Affiche le nom d'hôte en format court.

-v, --version
    Affiche les informations sur la version sur la sortie standard et termine.

FICHIERS
/etc/hosts

AUTHOR
Peter Tobias, <tobias@et-inf.fho-emden.de>

TRADUCTION
Jean Michel VANSTEENE (vansteen@frcl.bull.fr)